Skip to main content
PUT
/
folders
Update multiple folders
curl --request PUT \
  --url https://www.getsnippets.ai/api/prompts/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "folders": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "folderName": "<string>",
      "folderColor": "<string>",
      "parentFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
'
{
  "success": true,
  "data": {
    "updatedFolders": [
      {}
    ],
    "errors": [
      {}
    ]
  },
  "usage": {
    "remainingRequests": 123,
    "usageDeducted": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Body

application/json
folders
object[]
required

Response

Folders updated successfully

success
boolean
Example:

true

data
object
usage
object